Bug 1574447 - atomic-openshift-node rpm is installed in a containerized install on RHEL.
Summary: atomic-openshift-node rpm is installed in a containerized install on RHEL.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.11.z
Assignee: Steven Smith
QA Contact: Johnny Liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 11:00 UTC by Johnny Liu
Modified: 2021-04-15 14:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-15 14:21:52 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Johnny Liu 2018-05-03 11:00:50 UTC
Description of problem:
See the following details.

Version-Release number of the following components:
openshift-ansible-3.10.0-0.32.0.git.0.bb50d68.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Trigger a system container install on RHEL.
containerized=true
openshift_use_system_containers=true
system_images_registry=registry.reg-aws.openshift.com:443
2. after installation, check atomic-openshift-node
3.

Actual results:
# rpm -qa|grep atomic-openshift-node
atomic-openshift-node-3.10.0-0.32.0.git.0.2b17fd0.el7.x86_64

In installation log, "install needed rpm(s)" task is run.

Here is openshift-ansible code:
 cat roles/openshift_node/tasks/install_rpms.yml
---
- name: install needed rpm(s)
  package:
    name: "{{ item }}"
    state: present
  with_items: "{{ r_openshift_node_image_prep_packages }}"
  register: result
  until: result is succeeded
  when: not (openshift_is_atomic | default(False) | bool)


The condition is only take atomic into consideration, did not take containerized rhel into consideration.

Expected results:
In a containerized install on RHEL, rpm should not be installed.

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Scott Dodson 2018-05-10 13:51:49 UTC
There is no supported containerized install on RHEL in 3.10. The options are RPM install on RHEL and System Container installation of node on Atomic Host. We'll be amending documentation to note this.

Comment 2 Johnny Liu 2018-06-21 08:13:39 UTC
Re-open this bug against document component to track this change.

Comment 4 Steven Smith 2021-04-13 21:48:56 UTC
PR at https://github.com/openshift/openshift-docs/pull/31542. jialiu@redhat.com please review. Thank you!

Comment 5 Johnny Liu 2021-04-14 12:43:06 UTC
From the PR, seem like it removed "containerized installer" support, or even drop "containerized install on Atomic", that definitely isn't what we want.

This bug was saying we does not support user run a containerized install on *RHEL*, containerized install on Atomic is still in support scope. 

So personally we just need to give a warning or note on [1], notify user do not run a containerized install on *RHEL*, which is not supported.


[1]: https://docs.openshift.com/container-platform/3.11/install/index.html#planning-installation-types

Comment 6 Steven Smith 2021-04-14 15:51:45 UTC
One more review required for jialiu@redhat.com at https://github.com/openshift/openshift-docs/pull/31542. This one just adds the note.

Comment 7 Johnny Liu 2021-04-15 02:21:04 UTC
LGTM.

Comment 8 Steven Smith 2021-04-15 14:21:52 UTC
Closing!


Note You need to log in before you can comment on or make changes to this bug.